---
title: HTMLElement.offsetTop
slug: Web/API/HTMLElement/offsetTop
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - Property
  - Read-only
  - Reference
---
<div>
<div>{{ APIRef("HTML DOM") }}</div>
</div>

<p>The <strong><code>HTMLElement.offsetTop</code></strong> read-only property returns the distance of the outer border of the current element relative to the inner border of the top of the {{domxref("HTMLelement.offsetParent","offsetParent")}} node.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>topPos</var> = element.offsetTop;
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
	<li><code>topPos</code> is the number of pixels from the top of the <em>closest relatively positioned</em> parent element.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js notranslate">var d = document.getElementById("div1");
var topPos = d.offsetTop;

if (topPos &gt; 10) {
  // object is offset more
  // than 10 pixels from its parent
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSSOM View', '#dom-htmlelement-offsettop', 'offsetTop')}}</td>
			<td>{{Spec2('CSSOM View')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.offsetTop")}}</p>

<p>In compliance with the specification, this property will return <code>null</code> on Webkit if the element is hidden (the <code>style.display</code> of this element or any ancestor is <code>"none"</code>) or if the <code>style.position</code> of the element itself is set to <code>"fixed"</code>.</p>

<p>This property will return <code>null</code> on Internet Explorer (9) if the <code>style.position</code> of the element itself is set to <code>"fixed"</code>. (Having <code>display:none</code> does not affect this browser.)</p>
